# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

%define	name_base	libglade-java

Summary:	Java bindings for libglade
Name:		%{java_pkg_prefix}%{name_base}
Version:	2.12.5
Release: 	3%{?dist}
License:	LGPL
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/2.12/%{name_base}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libglade2 >= 2.5.1
Requires:	%{java_pkg_prefix}libgtk-java >= 2.8.6
Requires:	%{java_pkg_prefix}libgnome-java >= 2.12.4
BuildRequires:	%{java_pkg_prefix}libgtk-java-devel >= 2.8.6
BuildRequires:	%{java_pkg_prefix}libgnome-java-devel >= 2.12.4
BuildRequires:  libglade2-devel >= 2.5.1, gcc-java >= 4.1.1
BuildRequires:	java-devel >= 1.4.2
BuildRequires:  docbook-utils

%description
libglade-java is a language binding that allows developers to write
Java applications that use libglade.  It is part of Java-GNOME.

%package        devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libglade2-devel
Requires:	libgnome-java-devel

%description    devel
Development part of %{name}.

%prep
%setup -q -n %{name_base}-%{version}

%build
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
	export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/frysk/lib/pkgconfig
fi

%configure %{configure_args}

mkdir -p doc/api/
make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip

%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | sed 's/-.*//;s/^lib//')
zipfile=$jarname$jarversion-src-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $jarname$jarversion-src.zip)


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING NEWS README
%{_libdir}/libgladejava-*.so
%{_libdir}/libgladejni-*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgladejava.so
%{_libdir}/libgladejni.so
%{_datadir}/java/*.zip

%changelog
* Thu Oct  5 2006 Stepan Kasal <skasal@redhat.com> - 2.12.5-3
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#192702)

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 2.12.5-2
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.

* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.12.5-1
- New upstream version.
- Use the %%{?dist} tag.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel subpackage.
- The -devel subpackage now requires several -devel packages.
- Update requires and buildrequires.

* Thu Jul 27 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.4-3
- Remove javadoc date string hack.

* Sun Jul 23 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.12.4-2
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-1
- Release 0 is not allowed.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.12.4-0.1
- rebuild

* Sun Jun 18 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-0
- Use .tar.bz2 instead of .tar.gz.

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-0
- New version.

* Wed Jun 14 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.3-3
- Remove date strings from javadocs for multilib compatibility.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.3-2
- Change mod time of all java source files for the src zip.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.3-1
- Add -X to src zip and ensure Config.java has the same mod time across
  platforms - needed for multilib.

* Sat Apr 29 2006 Stepan Kasal <skasal@redhat.com>    - 2.12.3-0
- New version.
- Try to build on s390x again.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 2.12.2.0.20060301.rh1-1
- Bumped release, fixed typo in Requires.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 2.12.2.0.20060301.rh1-0
- Imported new tarball to address bg #183538, updated dependancies.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Adam jocksch  <ajocksch@redhat.com> - 2.12.2-1
- Updated tarball, deps.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 2.12.1-3
- rebuilt again

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 2.12.1-1
- Updated to released 2.12.1 sources from upstream.
- Excluded s390x.

* Wed Oct 05 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-5
- Imported released 2.12.0 sources from upstream.
- Changed optional installation prefix to /opt/frysk from /opt.
- Changed build depenedency on libgtk-java and libgnome-java to -devel.

* Sat Sep 24 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-4
- Imported libglade-java 2.12.0 from upstream.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-5
- Fix permissions of src zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-4
- Add compressed java source to devel package.

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-3
- Back out patch added in 2.10.1-2 (unnecessary).

* Sat Apr 23 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-2
- Add patch to fix NoSuchFieldError (Ismael Juma).

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libglade-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libglade-java 2.10.0.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libglade-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libglade-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libglade-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libglade-java 2.9.90.

* Mon Dec 13 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-2
- Add signal-connect.patch to fix upstream bug
  (http://bugzilla.gnome.org/show_bug.cgi?id=161190)

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Require libgnome-java and libgtk-java for build.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.

